import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.StringItem;
import javax.microedition.lcdui.TextField;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

import com.java4less.j2me.qrcode.QRCodeCanvas;
import com.java4less.j2me.aztec.AztecCanvas;
import com.java4less.j2me.barcode1d.BarCode1DCanvas;
import com.java4less.j2me.datamatrix.DatamatrixCanvas;
import com.java4less.j4ldatamatrix.DataMatrix;
import com.java4less.j4lqrcode.QRCode;


public class BarcodeMidlet extends MIDlet implements CommandListener  {

	  Display display;
	  Form mainForm;
	  Command qrcodeExample= new Command("QRCode", Command.SCREEN, 1);
	  Command dmExample= new Command("Datamatrix", Command.SCREEN, 2);
	  Command azExample= new Command("Aztec Code", Command.SCREEN, 3);
	  Command bc1dExample= new Command("BarCode1D", Command.SCREEN, 4);
	  BarcodeViewer viewer=new BarcodeViewer(null);
	  
	public BarcodeMidlet() {
		super();
		mainForm = new Form ("Barcode examples");
		mainForm.setCommandListener(this);
		mainForm.addCommand(qrcodeExample);
		mainForm.addCommand(dmExample);
		mainForm.addCommand(azExample);
		mainForm.addCommand(bc1dExample);
		/*DatamatrixCanvas canvas=new DatamatrixCanvas();
		DataMatrix dm=new DataMatrix();
        dm.code="Hello";
		dm.encoding=DataMatrix.E_AUTO;
		dm.reBuild=true;
        canvas.setDatamatrix(dm);	*/
		QRCodeCanvas canvas=new QRCodeCanvas();
		QRCode qr=new QRCode();
        qr.setCode("Hello1");
		qr.setEncoding(QRCode.ENC_ALPHA);
		qr.setRedraw(true);
		qr.setAutoConfigurate(true);
		qr.setErrorCorrectionLevel(QRCode.CORRECTION_LEVEL_L);
        canvas.setQRCode(qr);	
		viewer.setPreferredSize(200,200);
		viewer.barcodeCanvas=canvas;
		mainForm.append(viewer);
		
		 
	}
	
	public void commandAction(Command arg0, Displayable arg1) {
		
		if (arg0.getLabel().indexOf("QRCode")>=0) viewer.barcodeCanvas=new QRCodeCanvas();
		else if (arg0.getLabel().indexOf("Aztec")>=0)  {
			viewer.barcodeCanvas=new AztecCanvas();
			//(( AztecCanvas) viewer.barcodeCanvas).getAztecCode().setCode("abc");
		}
		else if (arg0.getLabel().indexOf("1D")>=0)  {
			viewer.barcodeCanvas=new BarCode1DCanvas();
		}		
		else viewer.barcodeCanvas=new DatamatrixCanvas();
		viewer.setPreferredSize(200,200);
	}
		

	protected void startApp() throws MIDletStateChangeException {
		// TODO Auto-generated method stub
		
		   display = Display.getDisplay (this);
		    display.setCurrent (mainForm);
		    //display.setCurrent (new DatamatrixCanvas ());
	}

	protected void pauseApp() {
		// TODO Auto-generated method stub

	}

	protected void destroyApp(boolean arg0) throws MIDletStateChangeException {
		// TODO Auto-generated method stub

	}

}
